test_setup()
{
    request=$'/foo.cgi\r\n'

    cat >"$docroot"/foo.cgi <<EOF
#!/bin/sh
printf '%s\\n' 'Hello, world.'
EOF
}

test_set_assumptions()
{
    echo 0 >"$work"/exitcode.expected
    touch "$work"/stderr.expected

    # The script is not marked as executable, so we expect that it will
    # be sent verbatim (without being interpreted).
    cat >"$work"/stdout.expected <<EOF
#!/bin/sh
printf '%s\\n' 'Hello, world.'
EOF
}
